package org.jeecg.modules.finance.mapper;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.finance.entity.FdSupplementaryContractReceivables;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @Description: 补充合同应收款表
 * @author： jeecg-boot
 * @date：   2019-07-19
 * @version： V1.0
 */
public interface FdSupplementaryContractReceivablesMapper extends BaseMapper<FdSupplementaryContractReceivables> {

    int auditBatch(@Param("list") List<String> list);

    int reviewBatch(@Param("list") List<String> list);

    FdSupplementaryContractReceivables querySupplementartByConId(String pkProjectFile);

    List<FdSupplementaryContractReceivables> getListAndCreditPeriod();
}
